jv.project

## Interface PvDisplayHandlerIf

-     public interface PvDisplayHandlerIf

  Interface for several types of render canvas objects to serve as render windows inside a JavaView display panel.

  Class is in beta.

  Since:
    Since JavaView v4.81.003 the class is in jv.project, formerly as alpha in jv.viewer.
  Author:
    Konrad Polthier
  Version:
    07.05.17, 3.00 revised (kp) Moved to jv.project from jv.viewer.
    12.04.14, 2.00 revised (kp) Added several methods to update displays.
    05.02.08, 1.00 created (kp)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGeometry(PgGeometryIf geom, int drawingOrder, boolean bSpecial)` Add a new geometry to the scene.
    `java.awt.Image` | `getImage(boolean bClear)` Return rendered pixel image of canvas.
    `void` | `removeGeometry(PgGeometryIf geom)` Remove a registered geometry from the scene.
    `void` | `selectGeometry(PgGeometryIf geom)` Select a registered geometry as active geometry of the scene.
    `void` | `setDisplay(PvDisplayIf disp)` Assign current display.
    `void` | `toImage(boolean bEnableRenderImage)`
    `void` | `updateDisplay(PvDisplayIf disp)` Update canvas and renderer when display has changed.
    `void` | `updateGeometry(PgGeometryIf geom)` Update a registered geometry of the scene.

- - ### Method Detail

    - #### setDisplay

          void setDisplay(PvDisplayIf disp)

      Assign current display.

    - #### updateDisplay

          void updateDisplay(PvDisplayIf disp)

      Update canvas and renderer when display has changed.

    - #### addGeometry

          void addGeometry(PgGeometryIf geom,
                           int drawingOrder,
                           boolean bSpecial)

      Add a new geometry to the scene.

    - #### removeGeometry

          void removeGeometry(PgGeometryIf geom)

      Remove a registered geometry from the scene.

    - #### selectGeometry

          void selectGeometry(PgGeometryIf geom)

      Select a registered geometry as active geometry of the scene.

    - #### updateGeometry

          void updateGeometry(PgGeometryIf geom)

      Update a registered geometry of the scene.

    - #### getImage

          java.awt.Image getImage(boolean bClear)

      Return rendered pixel image of canvas.

    - #### toImage

          void toImage(boolean bEnableRenderImage)

"

The software JavaView? is copyright protected. All Rights Reserved.
"